### Method

# Secret Item load_secret_finish

#### Declaration [src]

    gboolean
    secret_item_load_secret_finish (
      SecretItem* self,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Complete asynchronous operation to load the secret value of this item.

The newly loaded secret value can be accessed by calling `secret_item_get_secret()`.

#### Parameters

`result` | `GAsyncResult`
| Asynchronous result passed to callback.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| Whether the secret item successfully loaded or not.